<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Detail Product</title>
    <link rel="stylesheet" href="/css/bootstrap.min.css">
    <script src="/js/jquery-3.7.1.min.js"></script>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/fontawesome.min.css"
        integrity="sha512-UuQ/zJlbMVAw/UU8vVBhnI4op+/tFOpQZVT+FormmIEhRSCnJWyHiBbEVgM4Uztsht41f3FzVWgLuwzUqOObKw=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/solid.min.css"
        integrity="sha512-Hp+WwK4QdKZk9/W0ViDvLunYjFrGJmNDt6sCflZNkjgvNq9mY+0tMbd6tWMiAlcf1OQyqL4gn2rYp7UsfssZPA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/brands.min.css"
        integrity="sha512-DJLNx+VLY4aEiEQFjiawXaiceujj5GA7lIY8CHCIGQCBPfsEG0nGz1edb4Jvw1LR7q031zS5PpPqFuPA8ihlRA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />


    <style>
        .baner {
            height: 200px;
            background-color: rgb(200 208 215);
        }
        .toast-container {
            position: fixed;
            top: 20px;
            left: 50%;
            transform: translateX(-50%);
            z-index: 1055;
        }
    </style>
</head>

<body>
    <div class="container">

        <div class="col-12">
            <div class="row  baner">
                <div class="col-4 d-flex align-items-center justify-content-center">
                    <div class="row">
                        <h1>Products</h1>
                    </div>
                </div>
                <div class="col-4 text-end">
                </div>
            </div>
        </div>

        <section class="py-1">
            <div class="container px-4 px-lg-5 my-5">
                <div class="row gx-4 gx-lg-5 align-items-center">
                    <div class="col-md-6">
                        <div id="imageProduct" class="carousel slide" data-bs-ride="carousel">
                            <div class="carousel-inner" id="imageCarousel">
                                <div class="carousel-item active" th:each="item,index:${product.images}">
                                    <img th:src="'data:image/png;base64,' + ${item}" class="d-block w-100" alt="...">
                                </div>
                            </div>
                            <button class="carousel-control-prev" type="button" data-bs-target="#imageProduct"
                                data-bs-slide="prev">
                                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                <span class="visually-hidden">Previous</span>
                            </button>
                            <button class="carousel-control-next" type="button" data-bs-target="#imageProduct"
                                data-bs-slide="next">
                                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                <span class="visually-hidden">Next</span>
                            </button>
                        </div>
                    </div>

                    <div class="col-md-6">
                        <h4 class="fw-bolder" id="productName" th:text="${product.name}">Iphone X</h4>
                        <p class="lead" id="productDescription" th:utext="${product.description}">Lorem ipsum dolor sit
                            amet consectetur adipisicing elit. Praesentium at dolorem</p>
                        <p><b>Item code: </b><span class="bg-warning text-white" id="productId"
                                th:text="${product.id}">12345678</span></p>
                        <p><b>Manufacturer: </b><span id="productManufacturer"
                                th:text="${product.manufacturer.name}">Apple</span></p>
                        <p><b>Category: </b><a th:href="@{#}" class="text-decoration-none" id="productCategory"
                                th:text="${product.category.name}">apple</a></p>
                        <p><b>Available units in stock: </b><span id="quantityInStock"
                                th:text="${product.quantityInStock}">100</span></p>
                        <p th:text="${product.price + ' USD'}" id="price">100 USD</p>
                        <div class="row col-6">
                            <a th:href="@{/}" class="col btn btn-success m-2 p-2"><i
                                    class="fa-regular fa-circle-arrow-left"></i> Back</a>
                            <a style="color: #fff;" href="#" class="col btn btn-warning m-2 p-2" id="addToCartBtn"><i
                                    class="fa-solid fa-cart-shopping fa-flip-horizontal"></i> Order Now</a>
                        </div>
                    </div>

                    <!-- Modal -->
                    <div class="modal fade" id="imageModal" tabindex="-1" aria-labelledby="imageModalLabel"
                        aria-hidden="true" data-bs-backdrop="static">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="imageModalLabel"></h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                        aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <div id="modelImageProduct" class="carousel slide" data-bs-ride="carousel">
                                        <div class="carousel-inner" id="imageModel">

                                        </div>
                                        <button class="carousel-control-prev" type="button"
                                            data-bs-target="#modelImageProduct" data-bs-slide="prev">
                                            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                                            <span class="visually-hidden">Previous</span>
                                        </button>
                                        <button class="carousel-control-next" type="button"
                                            data-bs-target="#modelImageProduct" data-bs-slide="next">
                                            <span class="carousel-control-next-icon" aria-hidden="true"></span>
                                            <span class="visually-hidden">Next</span>
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>



                </div>
            </div>
        </section>

        
        <!-- Flexbox container for aligning the toasts -->
        <div aria-live="polite" aria-atomic="true" class="toast-container">

            <!-- Then put toasts within -->
            <div class="toast" id="myToast" role="alert" aria-live="assertive" aria-atomic="true"
                data-bs-autohide="true" data-bs-delay="3000">
                <div class="toast-body">
                </div>
            </div>
        </div>
    </div>

    <script src="/js/bootstrap.bundle.min.js"></script>
    <script src="/js/cart.js"></script>
    <script>
        $('#imageCarousel').on('click', function () {
            $('#imageModal').modal('show');
            var images = $(this).find('.carousel-item img');
            var modalBody = $('#imageModel');
            modalBody.empty();
            images.each(function (index) {
                var imgSrc = $(this).attr('src');
                var carouselItem = $('<div class="carousel-item"></div>');
                carouselItem.append('<img src="' + imgSrc + '" class="d-block w-100" alt="...">');

                if (index === 0) {
                    carouselItem.addClass('active');
                }

                modalBody.append(carouselItem);
            });
        });

        $('#addToCartBtn').on('click', function (e) {
            e.preventDefault();

            let product = {
                id: $('#productId').text(),
                name: $('#productName').text(),
                price: parseFloat($('#price').text()),
                quantity: 1
            };
            let quantityInStock =parseInt($('#quantityInStock').text());
            if(quantityInStock>0){
                addToCart(product);
                showToast(product.name)
            }else{
                showToastFail(product.name)
            }
          
           
        });
    </script>

</body>

</html>